Bug 460539 - Progress bar presented with yum backend downloader is in terms of number of packages, not total download size
Progress bar presented with yum backend downloader is in terms of number of p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
medium Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 09:59 EDT by Matthew Garrett
Modified: 2013-01-10 02:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2008-08-28 09:59:36 EDT
The progress bar is in terms of number of packages. Since yum downloads small packages first, progress appears to slow down over the course of the operation.
Comment 1 Matt McCutchen 2008-11-22 16:54:54 EST
I have a related issue.  I ran a PackageKit update today and it downloaded this RPM, which is 184 MB in size:

http://download.fedora.redhat.com/pub/fedora/linux/updates/9/i386.newkey/texlive-texmf-doc-2007-24.fc9.noarch.rpm

The progress bar did not change over the course of the 40-minute download, so I suspected a problem with my Internet connection until I saw that the RPM file under /var/yum/cache was slowly growing.  I think the progress bar should show progress within a file.  This may be convenient to fix along with basing the progress bar on file size.

Please tell me if I should enter this as a separate bug.
Comment 2 Bradley 2008-11-22 19:02:24 EST
Also see bug 469460 (same issue for preupgrade, with a few graphs showing the extent of the problem)
Comment 3 Bug Zapper 2008-11-25 21:53:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 iarly selbir 2009-03-02 18:36:55 EST
does have anymore question about this bug?

Development?
Reporter?

If anyone won't reply in one month, I will close this bug as INSUFFICIENT_DATA

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matthew Garrett 2009-03-02 18:49:53 EST
The bug's not in NEEDINFO. What makes you think there's insufficient data?
Comment 6 iarly selbir 2009-03-02 18:58:48 EST
Sorry, insufficient data was wrong, I'm just to keep alive this bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Steven M. Parrish 2009-09-07 21:29:34 EDT
Richard,  is this still an issue?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2009-11-18 04:16:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Steven M. Parrish 2009-11-18 11:58:00 EST
Since F10 is nearing EOL going to rebase this to Rawhide.

Richard any comments on this issue?
Comment 10 Matt McCutchen 2009-11-18 12:07:34 EST
Is the issue known to still exist in rawhide?  I thought the point of the bug expiration process was to put the onus on the reporter to check that a newer Fedora version is affected before bumping the bug to that version.
Comment 11 Juan P. Daza P. 2009-12-02 22:35:21 EST
Can't reproduce this bug in F12, the reporter can confirm still happening? 

And this should not be rebased to rawhide without any recent update from the reporter.
Comment 12 Bug Zapper 2010-03-15 08:04:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-02 14:27:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 10:00:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.